## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cmarkgfm

Name:           python-%{pypi_name}
Version:        0.8.0
Release:        %autorelease
Summary:        Minimal bindings to GitHub's fork of cmark

License:        MIT
URL:            https://github.com/jonparrott/cmarkgfm
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
chmod -x README.rst LICENSE.txt

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.8.0-2
- Rebuilt for Python 3.11

* Sat Mar 05 2022 Fabian Affolter <mail@fabian-affolter.ch> 0.8.0-1
- Update to latest upstream release 0.8.0 (closes rhbz#2032326)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 0.6.0-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.0-4 -
  Update to latest upstream release 0.6.0 (rhbz#1911858)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.5.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 01 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.5.2-1
- * Fri Jan 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1 -
  Update to latest upstream release 0.5.2 (#1911858)

* Mon Dec 14 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.5.1-1
- * Mon Dec 14 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1 -
  Update to latest upstream release 0.5.1 (#1906646)

* Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.5.0-1
- * Thu Nov 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1 -
  Update to latest upstream release 0.5.0 (#1900317)

* Wed Sep 02 2020 Fabian Affolter <mail@fabian-affolter.ch> 0.4.2-1
- * Fri Jul 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.2-2 -
  Run tests (rhbz#1827045)
